      SUBROUTINE CTPOSE(M,N,A,KA,B,KB)
      COMPLEX A(1),B(1)
      IMIN=1
      IMAX=N
      DO 20 J=1,M
      K=J
      DO 10 I=IMIN,IMAX
      B(I)=A(K)
   10 K=K+KA
      IMIN=IMIN+KB
   20 IMAX=IMAX+KB
      RETURN
      END
